import { createParamDecorator, ExecutionContext } from '@nestjs/common'
import { type Request } from 'express'
import { TokenPayload } from 'src/auth/dto/token.dto'

export const Token = createParamDecorator(
  (key: keyof TokenPayload, ctx: ExecutionContext) => {
    const request = ctx.switchToHttp().getRequest<Request>()
    const token = request.user as TokenPayload

    return key ? token?.[key] : token
  },
)
